---
updatedAt: 2025-09-22T17:23:12.000Z
agentTools:
  projectIndex: https://developer.bitpay.com/llms.txt
---

# Update a Recipient

Facades: `payout`

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "test",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://test.bitpay.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/recipients/{recipientId}": {
      "put": {
        "summary": "Update a Recipient",
        "description": "Facades: `payout`",
        "operationId": "update-a-recipient",
        "parameters": [
          {
            "name": "recipientId",
            "in": "path",
            "description": "The id of the payout recipient you want to retrieve.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "label",
            "in": "query",
            "description": "For merchant use, pass through - could be customer name or unique reference.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Content-Type",
            "in": "header",
            "description": "Must be set to `application/json` for requests to the BitPay API",
            "required": true,
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "X-Accept-Version",
            "in": "header",
            "description": "Must be set to `2.0.0` for requests to the BitPay API",
            "required": true,
            "schema": {
              "type": "string",
              "default": "2.0.0"
            }
          },
          {
            "name": "X-Identity",
            "in": "header",
            "description": "The hexadecimal public key generated from the client private key. This header is optional for this endpoint when using the public facade, and required when using a `merchant` facade token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-Signature",
            "in": "header",
            "description": "The ECDSA signature of the full request URL concatenated with the request body, signed with your private key. This header is optional for this endpoint when using the public facade, and required when using a `merchant` facade token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "token"
                ],
                "properties": {
                  "token": {
                    "type": "string",
                    "description": "Approved payout facade token."
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"facade\": \"payout/recipient\",\n  \"data\": {\n    \"email\": \"bob@email.com\",\n    \"label\": \"Bob123\",\n    \"status\": \"invited\",\n    \"id\": \"X3icwc4tE8KJ5hEPNPpDXW\",\n    \"shopperId\": null,\n    \"token\": \"2LVBntm7z92rnuVjVX5ZVaDoUEaoY4LxhZMMzPAMGyXrrBAB9vRY3BVxGLbAa6uEx7\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "facade": {
                      "type": "string",
                      "example": "payout/recipient"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "email": {
                          "type": "string",
                          "example": "bob@email.com"
                        },
                        "label": {
                          "type": "string",
                          "example": "Bob123"
                        },
                        "status": {
                          "type": "string",
                          "example": "invited"
                        },
                        "id": {
                          "type": "string",
                          "example": "X3icwc4tE8KJ5hEPNPpDXW"
                        },
                        "shopperId": {},
                        "token": {
                          "type": "string",
                          "example": "2LVBntm7z92rnuVjVX5ZVaDoUEaoY4LxhZMMzPAMGyXrrBAB9vRY3BVxGLbAa6uEx7"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```